<?php

use yii\db\Schema;
use yii\db\Migration;

class m151008_101334_alter_table_ticket__alter__columns__not_null extends Migration
{
    public function up()
    {
    	$this->alterColumn('ticket', 'id_user', 'int(11) not null' );
    	$this->alterColumn('ticket', 'id_ticket_type', 'int(11) not null' );
    	$this->alterColumn('ticket', 'id_account', 'int(11) not null' );
    	$this->alterColumn('ticket', 'id_user', 'int(11) not null' );
    }

    public function down()
    {
        echo "m151008_101334_alter_table_ticket__alter__columns__not_null cannot be reverted.\n";

        return false;
    }

    /*
    // Use safeUp/safeDown to run migration code within a transaction
    public function safeUp()
    {
    }

    public function safeDown()
    {
    }
    */
}
